Package org.silverpeas.processmanager

# Class LockVO

java.lang.Object
org.silverpeas.processmanager.LockVO

public class LockVO extends Object
A LockVO represents a lock let by a user.

Author:
  Ludovic Bertin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LockVO(org.silverpeas.core.workflow.api.user.User user, Date lockDate, String state, boolean removableBySupervisor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getLockDate()`
  `String`
  `getState()`
  `org.silverpeas.core.workflow.api.user.User`
  `getUser()`
  `boolean`
  `isRemovableBySupervisor()`
  `void`
  `setLockDate(Date lockDate)`
  `void`
  `setRemovableBySupervisor(boolean removableBySupervisor)`
  `void`
  `setState(String state)`
  `void`
  `setUser(org.silverpeas.core.workflow.api.user.User user)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LockVO

    public LockVO(org.silverpeas.core.workflow.api.user.User user, Date lockDate, String state, boolean removableBySupervisor)

- ## Method Details

  - ### getUser

    public org.silverpeas.core.workflow.api.user.User getUser()
    Returns:
      the user

  - ### setUser

    public void setUser(org.silverpeas.core.workflow.api.user.User user)
    Parameters:
      `user` - the user to set

  - ### getLockDate

    public Date getLockDate()
    Returns:
      the lockDate

  - ### setLockDate

    public void setLockDate(Date lockDate)
    Parameters:
      `lockDate` - the lockDate to set

  - ### isRemovableBySupervisor

    public boolean isRemovableBySupervisor()
    Returns:
      the removableBySupervisor

  - ### setRemovableBySupervisor

    public void setRemovableBySupervisor(boolean removableBySupervisor)
    Parameters:
      `removableBySupervisor` - the removableBySupervisor to set

  - ### getState

    public String getState()
    Returns:
      the state

  - ### setState

    public void setState(String state)
    Parameters:
      `state` - the state to set